SDL_ReleaseGPUShader(3)

NAME
SDL_ReleaseGPUShader - Frees the given shader as soon as it is safe to do so.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_ReleaseGPUShader(
    SDL_GPUDevice *device,
    SDL_GPUShader *shader);

DESCRIPTION
You must not reference the shader after calling this function.

FUNCTION PARAMETERS

device
    a GPU context.

shader
    a shader to be destroyed.

AVAILABILITY
This function is available since SDL 3.2.0.